#
# spec file for package gocr (Version 0.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake ghostscript-library ghostscript-serv glib gpp libgpp libnetpbm libpng man netpbm tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-library ghostscript-serv glib glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libnetpbm libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gocr
Summary:      GOCR is optical character recognition
Version:      0.3.1
Release:      138
Group: Applications/Graphics
Requires: tcl tk
#Provides: 
Copyright: GPL
URL: http://altmark.nat.uni-magdeburg.de/~jschulen
Source: gocr-%{version}.tar.bz2
Patch: gocr-%{version}.dif
#BuildRoot: /var/tmp/gocr-root

%description
GOCR is a free OCR (optical character recognition) project, which provides
a library, a command line version and an X-Interface. Although the program is
in an early development state, the results are very impressive.

Authors:
--------
    Jrg Schulenburg <Joerg.Schulenburg@physik.uni-magdeburg.de>, <jschulen@gmx.de>
    Bruno Barberi Gnecco <brunobg@geocities.com>

SuSE series: gra

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -n gocr-%{version}
rm -rf */CVS
%patch

%build
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=/usr %{_target_cpu}-suse-linux-gnu
# xmkmf -a
make 
make examples
make doc

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# General source install
make install prefix=$RPM_BUILD_ROOT/usr
# doc-install
%{INSTALL_DIR} %{_defaultdocdir}/gocr
%{INSTALL} doc/ocr.* doc/unicode.txt doc/examples.txt %{_defaultdocdir}/gocr
# examples
%{INSTALL_DIR} %{_defaultdocdir}/gocr/examples
%{INSTALL} examples/* %{_defaultdocdir}/gocr/examples
# make install.man

%clean
# rm -fr $RPM_BUILD_ROOT

%files
/usr/bin/gocr
/usr/X11R6/bin/gocr.tcl
/usr/lib/libPgm2asc.a
/usr/include/gocr.h
%defattr(-, root, root)
%doc %{_defaultdocdir}/gocr
# spec file ends here

%changelog -n gocr
* Fri Jul 27 2001 - kukuk@suse.de
- Add glib to neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Thu Mar 08 2001 - freitag@suse.de
- update to version 0.3.1 and added xf86 to requires.
* Fri Dec 15 2000 - freitag@suse.de
- first version 0.3.0
